Bug 189265

Summary: Rename scroll-snap-margin to scroll-margin, and have it apply when scrolling to anchors
Product: WebKit Reporter: Michał Gołębiowski-Owczarek <m.goleb+bugzilla>
Component: CSSAssignee: Simon Fraser (smfr) <simon.fraser>
Status: NEW ---    
Severity: Normal CC: 22bpower+bugtracking, bfulgham, collimarco91, contact, dev, emily.meroni, mikaela.young18, mrobinson, netleon6, simon.fraser, stefanprobst, tannerhodges, trentprynn, vertigoback, webkit-bug-importer, wenson_hsieh, zalan
Priority: P2 Keywords: BrowserCompat, InRadar, WebExposed
Version: Safari Technology Preview   
Hardware: All   
OS: All   
Bug Depends on: 218076, 218075    
Bug Blocks: 218115    

Description Michał Gołębiowski-Owczarek 2018-09-04 11:36:41 PDT
It looks that the CSS Scroll Snap spec has changed and what was named `scroll-snap-margin` is now named `scroll-margin`. The just released Chrome 69 supports only `scroll-margin`.
Comment 1 Mikaela Young 2019-11-04 12:36:23 PST
Scroll margin should also still be applied when snapping is not turned on or applied to the element, allowing it's use with anchor links.

See https://drafts.csswg.org/css-scroll-snap-1/#propdef-scroll-margin.
Comment 2 Radar WebKit Bug Importer 2019-11-04 12:43:17 PST
<rdar://problem/56875889>
Comment 3 Simon Fraser (smfr) 2020-04-30 11:38:20 PDT
*** Bug 208110 has been marked as a duplicate of this bug. ***
Comment 4 dakur 2020-05-21 07:26:55 PDT
Any news on this please? It would save a lot of pain when linking to URLs with hash as current hack with negative margin-top & positive padding-top is not reliable as it brings new issues with overlaying elements.
Comment 5 Ben Frain 2020-06-23 08:22:37 PDT
Pretty standard stuff this. Any ETA on when we might see it in WebKit?
Comment 6 netleon6@gmail.com 2020-10-05 00:28:31 PDT
scroll-margin & scroll-snap-margin not working in Safari

Please add this, make us easy to access the web
don't make it partial on some browsers it will work on some don't
Comment 7 netleon6@gmail.com 2020-10-05 00:29:07 PDT
(In reply to Ben Frain from comment #5)
> Pretty standard stuff this. Any ETA on when we might see it in WebKit?

Do you think they reading this!!
Comment 8 Simon Fraser (smfr) 2020-10-05 10:52:17 PDT
They is
Comment 9 Emily 2020-10-21 06:57:02 PDT
Also interested in the resolution of this bug in the near future, so that we can get rid of ad-hoc JS code. Thanks!
Comment 10 Martin Robinson 2020-10-22 03:46:13 PDT
I've decided to divide this work into at least two dependent bugs.
Comment 11 dakur 2020-10-22 06:56:13 PDT
Thank you! Just for tracking purposes, these two bugs are follow-ups from this one:
- https://bugs.webkit.org/show_bug.cgi?id=218075
- https://bugs.webkit.org/show_bug.cgi?id=218076